<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: InputView_input.class.php,v 1.1 2005/06/20 09:31:24 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	InputView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	InputView
*/
class InputView extends View {

    function & execute (&$controller, &$request, &$user) {

		// ‰È–Ú‚ðŽæ“¾
        $subjects = $request->getAttribute('subjects');


        $renderer =& new Renderer($controller, $request, $user);
		
        $renderer->setAttribute('aid', $request->getAttribute('aid'));
        $renderer->setAttribute('uid', '');
        $renderer->setAttribute('pass', '');
        $renderer->setAttribute('pass2', '');
        $renderer->setAttribute('mail', '');
        $renderer->setAttribute('name', '');
        $renderer->setAttribute('number', '');
        $renderer->setAttribute('year', '');
        $renderer->setAttribute('year', '');
        $renderer->setAttribute('subjects', $request->getAttribute('subjects'));
        $renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));

		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('Input_input.php');
		} else {
		    $renderer->setTemplate('Input_input_pc.php');
		}

        return $renderer;

    }

}

?>